/*
    File: config.cpp
    Author: B4v4r!4n_Str!k3r (julianbauer@cationstudio.com)
    Licence: THIS FILE AND EXTRACTS OF IT IS THE MINDSET OF CATIONSTUDIO
             AND ONLY AUTHORIZED PEOPLE/SERVERS ARE ALLOWED TO USE IT.
    Description: Master config for crafting system. 
*/
#include "dialog\craft.hpp"
class Cation_Crafting {

    version = 5; // version 3.x -> 3 | 4.0 - 4.3 -> 4 | version 4.4+ -> 5
    duration = 0.3; //Dauer im Craftingvorgang für 1% in s (Mögliche Werte zwischen 0.1 und 10)

    HeadlessSupport = 1; //Enable/Disable Headless client support. Default: 1 (1 = Enabled / 0 = Disabled)
    
    //Texte
    Craftingmenu = "Baumenü";
    CraftStats = "Sachen zum Bauen";
    CraftingMaterials = "Benötigte Sachen";
    CraftButton = "Bauen!";
    Close = "Schließen";
    Craft = "Baue";
    NoMaterial = "Du hast nicht alle Baumaterialien!";
    Process = "Du hast folgendes hergestellt:";
    Process_Stay = "Du musst innerhalb von 10m bleiben, um craften zu können.";
    NotificationBackpack = "Du hast bereits einen Rucksack! Pack den alten erstmal weg.";
    NotificationVest = "Du hast bereits eine Veste! Pack die alte erst einmal weg.";
    NotificationUnifrom = "Du hast bereits etwas an! Mach dich nackt und versuch es nochmal.";
    SelectItemFirst = "Du musst zuerst einen Gegenstand auswählen!";
    NothingNeeded = "Es wird nichts benötigt!";
    NoRoom = "Du hast nicht genug Platz für den Gegenstand.";
    Veh_Block = "Ein Fahrzeug blockiert gerade den Spawnpunkt";
    NoSpawnpoint = "Kein Spawnpoint verfügbar";
    Color = "Farbe";

    category[] = { //Kategorien
        {
            "landvehicle", //Variable (HINWEIS: BITTE KEINE ANDERE VARIABLE FÜR LANDFAHRZEUGE VERWENDEN)
            "Bodenfahrzeuge", //Text
            {"C_SUV_01_F","",{"copper_refined",1,"diamond_cut",2},"Dark Red","civ",0} //{Fahrzeug,Bedingung (default: ""),{benötigtes Item1, benötigte Anzahl des Item1, benötigtes Item2, benötigte Anzahl des Item2},"Skinname","Skinseite",(1 für vItem | 0 für alle anderen Items)}
        }, //Komma
        {
            "airvehicle", // (HINWEIS: BITTE KEINE ANDERE VARIABLE FÜR LUFTFAHRZEUGE VERWENDEN)
            "Luftfahrzeuge",
            {"C_Heli_Light_01_civil_F","",{"copper_refined",1},"Civ Blue","civ",0} //{Fahrzeug,Bedingung (default: ""),{benötigtes Item1, benötigte Anzahl des Item1, benötigtes Item2, benötigte Anzahl des Item2},"Skinname","Skinseite",(1 für vItem | 0 für alle anderen Items)}
        },
        {
            "watervehicle",// (HINWEIS: BITTE KEINE ANDERE VARIABLE FÜR WASSERFAHRZEUGE VERWENDEN)
            "Wasserfahrzeuge",                              // Bei Fahrzeugen ohne Skin:
            {"C_Rubberboat","",{"copper_refined",1},"","",0}  //{Fahrzeug,Bedingung (default: ""),{benötigtes Item1, benötigte Anzahl des Item1, benötigtes Item2, benötigte Anzahl des Item2},"","",(1 für vItem | 0 für alle anderen Items)}
        },
        {
            "weapon", //Variable
            "Waffen", //Text
            {"hgun_P07_F","",{"diamond_cut",2,"copper_refined",1},"","",0}, //{Item 1,Bedingung (default: ""),{benötigtes Item1, benötigte Anzahl des Item1, benötigtes Item2, benötigte Anzahl des Item2},"","",(1 für vItem | 0 für alle anderen Items)},
            {"SMG_01_F","(call life_adminlevel) > 0",{"copper_refined",3,"iron_refined",3,"diamond_cut",1},"","",0} //{Item 2,Bedingung (default: ""),{benötigtes Item1, benötigte Anzahl des Item1, benötigtes Item2, benötigte Anzahl des Item2},"","",(1 für vItem | 0 für alle anderen Items)} Kein Komma beim letzten!
        }, 
        {
            "Munition",
            "Munition",
            {"16Rnd_9x21_Mag","",{"alumminium",1,"iron_refined",1},"","",0},
            {"30Rnd_45ACP_Mag_SMG_01","",{"alumminium",1,"iron_refined",1},"","",0}
        },    
		{
            "groswaffen", //Variable
            "Waffen", //Text
            {"arifle_AK12_F","",{"lauf762mm",1,"ak12case",1},"","",0},
            {"arifle_TRG20_F","",{"lauf556mm",1,"TRG20case",1},"","",0},
            {"arifle_ARX_blk_F","",{"lauf65mm",1,"lauf127mm",1,"arxcase",1},"","",0},
            {"srifle_GM6_F","",{"iron_refined",1},"","",0}
        }, //Komma
		{
            "Waffenteile", //Variable
            "Waffenteile", //Text
            {"lauf9mm","",{"iron_refined",5,"alumminium",5},"","",1},
            {"lauf556mm","",{"iron_refined",10,"alumminium",10},"","",1},
            {"lauf65mm","",{"iron_refined",10,"alumminium",10},"","",1},
            {"lauf762mm","",{"iron_refined",10,"alumminium",10},"","",1},
            {"lauf127mm","",{"iron_refined",10,"alumminium",10},"","",1},
            {"TRG20case","",{"iron_refined",12,"alumminium",11},"","",1},
            {"ak12case","",{"iron_refined",19,"alumminium",16},"","",1},
            {"arxcase","",{"iron_refined",18,"alumminium",17},"","",1}
        }, //Komma
        {
            "grosmunition",
            "Munition",
            {"30Rnd_762x39_Mag_Green_F","",{"alumminium",1,"iron_refined",1},"","",0},
            {"30Rnd_556x45_Stanag_green","",{"alumminium",1,"iron_refined",1},"","",0},
            {"30Rnd_65x39_caseless_green","",{"alumminium",1,"iron_refined",1},"","",0},
            {"10Rnd_50BW_Mag_F","",{"alumminium",2,"iron_refined",2},"","",0}
        },
        {
            "Visiere",
            "Visiere",
            {"optic_SOS","",{"glass",3,"iron_refined",1},"","",0},
            {"optic_MRCO","",{"glass",2,"iron_refined",1},"","",0},
            {"optic_NVS","",{"glass",7,"iron_refined",1},"","",0},
            {"optic_DMS","",{"glass",4,"iron_refined",1},"","",0},
            {"optic_LRPS","",{"glass",5,"iron_refined",1},"","",0},
            {"optic_AMS","",{"glass",4,"iron_refined",1},"","",0},
            {"optic_KHS_blk","",{"glass",4,"iron_refined",1},"","",0}
        },
        {
            "uniform",
            "Uniformen",
            {"U_IG_Guerilla1_1","",{"copper_refined",1},"","",0}
        },
        {
            "backpack",
            "Rucksäcke",
            {"B_Carryall_oli","",{"diamond_cut",1},"","",0}
        },
        {
            "vest",
            "Vesten",
            {"V_Press_F","",{"copper_refined",1},"","",0}
        },
        {
            "bombs",
            "Sprengstoff",
            {"DemoCharge_Remote_Mag","",{"plastiksprengstoff",1,"zunder",1},"","",0},
            {"ClaymoreDirectionalMine_Remote_Mag","",{"plastiksprengstoff",1,"zunder",1},"","",0}
        },
        {
            "chemi",
            "Chemilabor",
            {"hexogen","",{"urotropin",1,"salpetersaure",1},"","",1},
            {"urotropin","",{"amoniak",1},"","",1},
            {"amoniak","",{"wasserstoff",1,"stickstoff",1},"","",1},
            {"ethylsebacat","",{"ethylhexanol",1,"sebacinsaure",1},"","",1},
            {"sebacinsaure","",{"stearinsaure",1},"","",1},
            {"stearinsaure","",{"natron",1,"sheep_raw",1},"","",1},
            {"polyisobutylen","",{"isobuten",1,"aluminiumchlorid",1},"","",1},
            {"aluminiumchlorid","",{"alumminium",1,"salzsaure",1},"","",1},
            {"plastiksprengstoff","",{"hexogen",4,"ethylsebacat",1,"polyisobutylen",1,"oil_processed",1},"","",1}        
		},
        {
            "items",
            "Items",
            {"zunder","",{"copper_refined",1,"iron_refined",1},"","",1}
        } //Kein Komma bei letzten
    };

    craftingStations[] = { //verfügbare Kategorien an verschiedenen Crafting Stationen
        {
            "craftingItems", //Variablenname
            "craftingItemsMarker", //Name des Spawnmarkers auf der Map (muss in der mission.sqm vorhanden seinen)
            {"items","weapon","Munition","bombs"} //Variablennamen der verfügbaren Kategorien
        }, //Komma
        {
            "chemilab", //Variablenname
            "craftingItemsMarker", //Name des Spawnmarkers auf der Map (muss in der mission.sqm vorhanden seinen)
            {"chemi"} //Variablennamen der verfügbaren Kategorien
        }, //Komma
        {
            "waffen", //Variablenname
            "craftingWaffenMarker", //Name des Spawnmarkers auf der Map (muss in der mission.sqm vorhanden seinen)
            {"groswaffen","grosmunition","Visiere","Waffenteile","items","bombs"} //Variablennamen der verfügbaren Kategorien
        }, //Komma
        {
            "craftingVehicles", //Variablenname
            "craftingVehiclessMarker", //Name des Spawnmarkers auf der Map (muss in der mission.sqm vorhanden seinen)
            {"landvehicle","airvehicle","watervehicle"} //Variablennamen der verfügbaren Kategorien
        } //Kein Komma bei letzten
    };
};